# ApplicationFramework
TKPLCAF
MDF

# MDF_ASDriverHSequence Class Reference

`#include <MDF_ASDriverHSequence.hxx>`

## Public Member Functions

| MDF_ASDriverHSequence ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MDF_ASDriver)&anItem)
Standard_EXPORT void | Append (const Handle(MDF_ASDriverHSequence)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MDF_ASDriver)&anItem)
Standard_EXPORT void | Prepend (const Handle(MDF_ASDriverHSequence)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MDF_ASDriver)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MDF_ASDriverHSequence)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MDF_ASDriver)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MDF_ASDriverHSequence)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MDF_ASDriverHSequence | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MDF_ASDriver)&anItem)
Standard_EXPORT const Handle_MDF_ASDriver & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MDF_ASDriver & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MDF_ASDriverSequence & | Sequence () const
MDF_ASDriverSequence & | ChangeSequence ()
Standard_EXPORT Handle_MDF_ASDriverHSequence | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MDF_ASDriverSequence | mySequence

## Constructor & Destructor Documentation

MDF_ASDriverHSequence::MDF_ASDriverHSequence | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MDF_ASDriverHSequence::Append | ( | const Handle(MDF_ASDriverHSequence)& | aSequence | ) |

Standard_EXPORT void MDF_ASDriverHSequence::Append | ( | const Handle(MDF_ASDriver)& | anItem | ) |

MDF_ASDriverSequence& MDF_ASDriverHSequence::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MDF_ASDriver& MDF_ASDriverHSequence::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MDF_ASDriverHSequence::Clear | ( |  | ) |

Standard_EXPORT void MDF_ASDriverHSequence::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MDF_ASDriverHSequence::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MDF_ASDriverHSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ASDriverHSequence)& | aSequence
| ) |

Standard_EXPORT void MDF_ASDriverHSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ASDriver)& | anItem
| ) |

Standard_EXPORT void MDF_ASDriverHSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ASDriverHSequence)& | aSequence
| ) |

Standard_EXPORT void MDF_ASDriverHSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ASDriver)& | anItem
| ) |

Standard_Boolean MDF_ASDriverHSequence::IsEmpty | ( |  | ) | const

Standard_Integer MDF_ASDriverHSequence::Length | ( |  | ) | const

Standard_EXPORT void MDF_ASDriverHSequence::Prepend | ( | const Handle(MDF_ASDriverHSequence)& | aSequence | ) |

Standard_EXPORT void MDF_ASDriverHSequence::Prepend | ( | const Handle(MDF_ASDriver)& | anItem | ) |

Standard_EXPORT void MDF_ASDriverHSequence::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MDF_ASDriverHSequence::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MDF_ASDriverHSequence::Reverse | ( |  | ) |

const MDF_ASDriverSequence& MDF_ASDriverHSequence::Sequence | ( |  | ) | const

Standard_EXPORT void MDF_ASDriverHSequence::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MDF_ASDriver)& | anItem
| ) |

Standard_EXPORT Handle_MDF_ASDriverHSequence MDF_ASDriverHSequence::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MDF_ASDriverHSequence MDF_ASDriverHSequence::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MDF_ASDriver& MDF_ASDriverHSequence::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MDF_ASDriverSequence MDF_ASDriverHSequence::mySequence`[private]`

The documentation for this class was generated from the following file:

- MDF_ASDriverHSequence.hxx